<% if @order_by == 'name' %>
    <% @videos.each do |video| %>
    <%# logger.info  "---vid===#{video.inspect}" %>
            <% if video.video_file.present? %>
                <% if  video.is_video? %>
                    <% link = video.video_file_url %>
                <% else %>
                    <% link = video.video_file_url %>
                <% end %>
            <% elsif video.youtube_link.present? %>
                <% link = video.youtube_link %>
            <% elsif video.web_link.present? %>
                <% link = video.web_link %>
            <% end %>
            <a href="<%= link %>" target="_blank">
                <div class="video-card">
                    <div class="col-sm-4 col-md-3 col-xs-4 no-padding">
                        <div class="video-container">
                        <!-- <video class="myvideo"  controls>
                            <source src="<%#= video_file.url %>" type="video/mp4">
                        </video> -->
                        <% if video.video_file.present? %>
                            <% icon = video.is_pdf? ? '/assets/pdf.png' : video.is_excel? ? '/assets/excel.png' : video.is_word_document? ? '/assets/word.png' : video.is_powerpoint? ? '/assets/powerpoint.png' : video.is_plain_text? ? '/assets/text.png' : video.is_image? ? video.video_file_url(:thumb) : '/assets/weblink.png' %>
                            <% if video.is_video? %>
                                <video class="myvideo height_200"  controls>
                                    <source src="<%= video.video_file_url %>" type="video/mp4" class="height_200">
                                </video>
                            <% else %>
                                <div class="myvideo">
                                    <div class="thumb_img link_icon" style="background-image:url(<%= icon %>)"></div>
                                    <!-- <a href="<%#= video.video_file_url %>" target="_blank">
                                    </a> -->
                                </div>
                            <% end %>
                        <% elsif video.youtube_link.present? %>
                            <!-- <video class="myvideo height_200"  controls> -->
                            <!-- <a href="<%#= video.youtube_link %>"  target="_blank"><img src="<%#= VideoThumb::get(video.youtube_link, 'thumb') %>" class="height_200" /></a> -->
                            <!-- Commented on 6Dec  -->
                            <%# thumb = LinkThumbnailer.generate(video.youtube_link, verify_ssl: false).images[0] %>
                            <!-- <%# if thumb.present? %>
                            <a href="<%#= video.youtube_link %>"  target="_blank"><img src="<%#= thumb %>" class="height_200" /></a>
                            <%# else %>
                            <a href="<%#= video.youtube_link %>"  target="_blank"><img src="<%#= thumb.present? ? thumb : '/assets/default-icon.png' %>" class="logo_icon_video" /></a>
                            <%# end %> -->
                            <!-- <source src="<%= video.youtube_link %>" type="video/mp4"> -->
                            <!-- </video> -->
                            <%# if thumb.present? %>
                                <!-- <div class="thumb_img" style="background-image:url(<%#= thumb %>)"></div> -->
                                <!-- <a href="<%#= video.youtube_link %>"  target="_blank">
                            </a> -->
                            <%# else %>
                                <!-- <div class="thumb_img link_icon" style="background-image:url('/assets/default-icon.png'></div> -->
                                <!-- <a href="<%#= video.youtube_link %>"  target="_blank">
                            </a> -->
                            <%# end %>
                            <!-- End Comment -->
                            <div class="thumb_img" style="background-image:url(<%= video.display_image.url %>)"></div>

                        <% elsif video.web_link.present? %>
                            <!-- <div class="myvideo"> -->
                                <div class="thumb_img link_icon" style="background-image:url(<%= '/assets/weblink.png' %>)"></div>
                                <!-- <a href="<%#= video.web_link %>" target="_blank">
                                </a> -->
                                    <!-- <img src="/assets/weblink.png" class="height_200 link_icon" /> -->
                            <!-- </div> -->
                        <% end %>
                        </div>

                    </div>
                <div class="col-sm-8 col-md-9 col-xs-8  no-padding">
                    <div class="card-content">
                        <h4><%= video.title %></h4>
                        <!-- <p><i></i>Interstride</p> -->
                    </div>
                </div>
            </div>
        </a>
    <% end %>
<% else %>
    <% @video_links.each do |video| %>
    <%# logger.info  "---vid===#{video.inspect}" %>
        <a href="<%= video.video_file_url %>" target="_blank">
            <div class="video-card">
                <div class="col-sm-4 col-md-3 col-xs-4 no-padding">
                    <div class="video-container">
                        <video class="myvideo"  controls>
                            <source src="<%= video.video_file_url %>" type="video/mp4" class="thumb_img">
                        </video>
                    </div>
                </div>
                <div class="col-sm-8 col-md-9 col-xs-8  no-padding">
                    <div class="card-content">
                        <h4><%= video.title %></h4>
                        <!-- <p><i></i>Interstride</p> -->
                    </div>
                </div>
            </div>
        </a>
    <% end if @video_links.present? %>
    <% @youtube_links.each do |video| %>
        <% logger.info "===youyube===#{video.inspect}" %>
        <a href="<%= video.youtube_link %>" target="_blank">
            <div class="video-card">
                <div class="col-sm-4 col-md-3 col-xs-4 no-padding">
                    <div class="video-container">
                        <!-- <a href="<%= video.youtube_link %>"  target="_blank"><img src="<%= VideoThumb::get(video.youtube_link, 'thumb') %>" class="height_200" /></a> -->
                        <!-- Commented on 6Dec -->
                        <%# thumb = LinkThumbnailer.generate(video.youtube_link, verify_ssl: false).images[0] %>
                        <%# if thumb.present? %>
                            <!-- <div class="thumb_img" style="background-image: url(<%#= thumb %>)"></div> -->
                            <!-- <a href="<%#= video.youtube_link %>"  target="_blank"></a> -->
                        <%# else %>
                            <!-- <div class="thumb_img link_icon" style="background-image: url('/assets/default-icon.png')"></div> -->
                            <!-- <a href="<%#= video.youtube_link %>"  target="_blank"></a> -->
                        <%# end %>
                        <!-- End Comment  -->
                        <div class="thumb_img" style="background-image: url(<%= video.display_image.url %>)"></div>
                    </div>
                </div>
                <div class="col-sm-8 col-md-9 col-xs-8  no-padding">
                    <div class="card-content">
                        <h4><%= video.title %></h4>
                        <!-- <p><i></i>Interstride</p> -->
                    </div>
                </div>
            </div>
        </a>
    <% end if @youtube_links.present? %>
    <% @pdfs.each do |video| %>
        <% logger.info "===pdf===#{video.inspect}" %>
        <a href="<%= video.video_file_url %>" target="_blank">
            <div class="video-card">
                <div class="col-sm-4 col-md-3 col-xs-4 no-padding">
                    <div class="video-container">
                        <div class="thumb_img link_icon" style="background-image: url('/assets/pdf.png')"></div>
                        <!-- <a href="<%#= video.video_file_url %>"  target="_blank"></a> -->
                    </div>
                </div>
                <div class="col-sm-8 col-md-9 col-xs-8  no-padding">
                    <div class="card-content">
                        <h4><%= video.title %></h4>
                        <!-- <p><i></i>Interstride</p> -->
                    </div>
                </div>
            </div>
        </a>
    <% end if @pdfs.present? %>
    <% @web_links.each do |video| %>
        <% logger.info "===web===#{video.inspect}" %>
        <a href="<%= video.web_link %>" target="_blank">
            <div class="video-card">
                <div class="col-sm-4 col-md-3 col-xs-4 no-padding">
                    <div class="video-container">
                        <div class="thumb_img link_icon" style="background-image: url('/assets/weblink.png')"></div>
                        <!-- <a href="<%#= video.web_link %>"  target="_blank"></a> -->
                    </div>
                </div>
                <div class="col-sm-8 col-md-9 col-xs-8 no-padding">
                    <div class="card-content">
                        <h4><%= video.title %></h4>
                        <!-- <p><i></i>Interstride</p> -->
                    </div>
                </div>
            </div>
        </a>
    <% end if @web_links.present? %>
    <% @docs.each do |video| %>
        <% logger.info "===doc===#{video.inspect}" %>
        <a href="<%= video.video_file_url %>" target="_blank">
            <div class="video-card">
                <div class="col-sm-4 col-md-3 col-xs-4 no-padding">
                    <div class="video-container">
                        <div class="thumb_img link_icon" style="background-image: url('/assets/word.png')"></div>
                        <!-- <a href="<%#= video.video_file_url %>"  target="_blank"></a> -->
                    </div>
                </div>
                <div class="col-sm-8 col-md-9 col-xs-8  no-padding">
                    <div class="card-content">
                        <h4><%= video.title %></h4>
                        <!-- <p><i></i>Interstride</p> -->
                    </div>
                </div>
            </div>
        </a>
    <% end if @docs.present? %>
    <% @excel_sheets.each do |video| %>
        <a href="<%= video.video_file_url %>" target="_blank">
            <% logger.info "===excel===#{video.inspect}" %>
            <div class="video-card">
                <div class="col-sm-4 col-md-3 col-xs-4 no-padding">
                    <div class="video-container">
                        <div class="thumb_img link_icon" style="background-image: url('/assets/excel.png')"></div>
                        <!-- <a href="<%= video.video_file_url %>"  target="_blank"></a> -->
                    </div>
                </div>
                <div class="col-sm-8 col-md-9 col-xs-8 no-padding">
                    <div class="card-content">
                        <h4><%= video.title %></h4>
                        <!-- <p><i></i>Interstride</p> -->
                    </div>
                </div>
            </div>
        </a>
    <% end if @excel_sheets.present? %>
    <% @ppts.each do |video| %>
        <% logger.info "===ppt===#{video.inspect}" %>
        <a href="<%= video.video_file_url %>" target="_blank">
            <div class="video-card">
                <div class="col-sm-4 col-md-3 col-xs-4 no-padding">
                    <div class="video-container">
                        <div class="thumb_img_link" style="background-image: url('/assets/powerpoint.png')"></div>
                        <!-- <a href="<%#= video.video_file_url %>"  target="_blank"></a> -->
                    </div>
                </div>
                <div class="col-sm-8 col-md-9 col-xs-8 no-padding">
                    <div class="card-content">
                        <h4><%= video.title %></h4>
                        <!-- <p><i></i>Interstride</p> -->
                    </div>
                </div>
            </div>
        </a>
    <% end if @ppts.present? %>
<% end %>
